desync(1)

NAME
desync-info - Show information about an index

SYNOPSIS
desync info <index> [flags]

DESCRIPTION
Displays information about the provided index, such as the number of chunks and the total size of unique chunks that are not available in the seed. If a store is provided, it'll also show how many of the chunks are present in the store. By providing a chunks info file, generated by 'inspect-chunks', additional information will be shown, like the size of compressed chunks not in the seed nor cache. If one or more seed indexes are provided, the number of chunks available in the seeds are also shown. Use '-' to read the index from STDIN.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-c, --cache=""
    store to be used as cache

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--chunks-info=""
    json file with additional chunks info

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-f, --format="json"
    output format, plain or json

-h, --help[=false]
    help for info

--seed=[]
    seed indexes

-s, --store=[]
    source store(s)

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync info -s /path/to/local --format=json file.caibx
      desync info --seed http://192.168.1.1/rootfs2.caibx --chunks-info chunks.json --format=json rootfs.caibx

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra